package it.integry.integrywmsnative.core.rest.model.udc;

import java.math.BigDecimal;
import java.time.LocalDate;

import it.integry.integrywmsnative.core.model.MtbColr;

public class EditUDCRowRequestDTO {
    private MtbColr sourceMtbColr;

    private BigDecimal newQtaTot;
    private BigDecimal newQtaCnf;
    private BigDecimal newNumCnf;
    private String newPartitaMag;
    private LocalDate newDataScad;

    public MtbColr getSourceMtbColr() {
        return sourceMtbColr;
    }

    public EditUDCRowRequestDTO setSourceMtbColr(MtbColr sourceMtbColr) {
        this.sourceMtbColr = sourceMtbColr;
        return this;
    }

    public BigDecimal getNewQtaTot() {
        return newQtaTot;
    }

    public EditUDCRowRequestDTO setNewQtaTot(BigDecimal newQtaTot) {
        this.newQtaTot = newQtaTot;
        return this;
    }

    public BigDecimal getNewQtaCnf() {
        return newQtaCnf;
    }

    public EditUDCRowRequestDTO setNewQtaCnf(BigDecimal newQtaCnf) {
        this.newQtaCnf = newQtaCnf;
        return this;
    }

    public BigDecimal getNewNumCnf() {
        return newNumCnf;
    }

    public EditUDCRowRequestDTO setNewNumCnf(BigDecimal newNumCnf) {
        this.newNumCnf = newNumCnf;
        return this;
    }

    public String getNewPartitaMag() {
        return newPartitaMag;
    }

    public EditUDCRowRequestDTO setNewPartitaMag(String newPartitaMag) {
        this.newPartitaMag = newPartitaMag;
        return this;
    }

    public LocalDate getNewDataScad() {
        return newDataScad;
    }

    public EditUDCRowRequestDTO setNewDataScad(LocalDate newDataScad) {
        this.newDataScad = newDataScad;
        return this;
    }
}
